Last Comment Bug 89145 - Alt+PgUp and Alt+PgDn to change sidebar tabs
: Alt+PgUp and Alt+PgDn to change sidebar tabs
Status: VERIFIED FIXED
seeking r=, sr=
: access
Product: SeaMonkey
Classification: Client Software
Component: Sidebar (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: mozilla0.9.8
Assigned To: Samir Gehani
: sujay
Mentors:
: 78259 (view as bug list)
Depends on:
Blocks: 89148
  Show dependency treegraph
 
Reported: 2001-07-03 16:35 PDT by Aaron Leventhal
Modified: 2004-11-22 17:25 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Thoroughly tested, even with an empty sidebar, or a hidden sidebar (3.39 KB, patch)
2001-12-14 00:30 PST, Aaron Leventhal
samir_bugzilla: review+
jag-mozilla: superreview+
Details | Diff | Review

Description Aaron Leventhal 2001-07-03 16:35:30 PDT
The Alt+Pgup and Alt+pgdn key should change what sidebar panel is open, without
focusing the new tab unless the sidebar is already focused. This is according to
the spec agreed to at
http://www.mozilla.org/projects/ui/accessibility/mozkeylist.html
Comment 1 timeless 2001-07-03 19:00:49 PDT
Ok, that's enough. you don't agree to items in cvs, you agree to items in bugs 
or in newsgroups or on listservs.

I'm going to generically object to this for a week until people have time to 
think about and explain why this is important in the case that the sidebar 
isn't focused.
Comment 2 Aaron Leventhal 2001-07-03 19:57:01 PDT
*** Bug 78259 has been marked as a duplicate of this bug. ***
Comment 3 Matthew Paul Thomas 2001-08-03 22:07:04 PDT
Let me guess, it switches workspaces or something in some window managers? 
Akkana?
Comment 4 timeless 2001-08-04 21:40:13 PDT
switches applications.
Comment 5 matt 2001-09-24 15:44:27 PDT
access
Comment 6 Peter Trudelle 2001-10-01 16:22:28 PDT
P2 for 0.9.7
Comment 7 Samir Gehani 2001-10-26 17:35:51 PDT
Moving to mozilla0.9.8.
Comment 8 Aaron Leventhal 2001-12-14 00:30:48 PST
Created attachment 61715 [details] [diff] [review]
Thoroughly tested, even with an empty sidebar, or a hidden sidebar
Comment 9 jag (Peter Annema) 2001-12-14 00:49:38 PST
Comment on attachment 61715 [details] [diff] [review]
Thoroughly tested, even with an empty sidebar, or a hidden sidebar

sr=jag, assuming Samir finds no fault with the code.
Comment 10 Samir Gehani 2001-12-14 16:30:54 PST
Comment on attachment 61715 [details] [diff] [review]
Thoroughly tested, even with an empty sidebar, or a hidden sidebar

r=sgehani  Nice.  Thanks.
Comment 11 Aaron Leventhal 2001-12-14 16:46:18 PST
-> fixed
Comment 12 sujay 2001-12-21 10:07:09 PST
verified in 12/20 build.

Note You need to log in before you can comment on or make changes to this bug.